Package org.w3c.tidy

# Class Report

java.lang.Object
org.w3c.tidy.Report

public final class Report extends Object
Error/informational message reporter. You should only need to edit the file TidyMessages.properties to localize HTML tidy.

Version:
  $Revision: 921 $ ($Author: aditsu $)
Author:
  Dave Raggett dsr@w3.org , Andy Quick ac.quick@sympatico.ca (translation to Java), Fabrizio Giustina

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ACCESS_URL`
used to point to Web Accessibility Guidelines.
`static final short`
`ANCHOR_NOT_UNIQUE`
attribute: anchor not unique.
`static final short`
`APOS_UNDEFINED`
invalid entity: apos undefined in current definition.
`static final short`
`ATTR_VALUE_NOT_LCASE`
attribute: attribute value not lower case.
`static final short`
`BACKSLASH_IN_URI`
attribute: backslash in URI.
`static final short`
`BAD_ATTRIBUTE_VALUE`
attribute: bad attribute value.
`static final short`
`BAD_ATTRIBUTE_VALUE_REPLACED`
attribute: bad attribute value replaced.
`static final short`
`BAD_CDATA_CONTENT`
bad cdata comment.
`static final short`
`BAD_COMMENT_CHARS`
bad coment chars.
`static final short`
`BAD_XML_COMMENT`
bad xml comment.
`static final short`
`BADACCESS_SUMMARY`
Constant used for reporting of bad access summary.
`static final short`
`BADFORM_SUMMARY`
Constant used for reporting of bad form summary.
`static final short`
`CANT_BE_NESTED`
elments can be nested.
`static final short`
`COERCE_TO_ENDTAG`
coerce to end tag.
`static final short`
`COERCE_TO_ENDTAG_WARN`
coerce to endtag.
`static final short`
`CONTENT_AFTER_BODY`
content after body.
`static final short`
`DISCARDED_CHAR`
char has been discarder.
`static final short`
`DISCARDING_UNEXPECTED`
discarding unexpected element.
`static final short`
`DOCTYPE_AFTER_TAGS`
doctype after tags.
`static final short`
`DOCTYPE_GIVEN_SUMMARY`
Constant used for reporting of given doctype.
`static final short`
`DTYPE_NOT_UPPER_CASE`
doctype not upper case.
`static final short`
`DUPLICATE_FRAMESET`
duplicate frameset.
`static final short`
`ELEMENT_NOT_EMPTY`
element not empty.
`static final short`
`ENCODING_IO_CONFLICT`
encoding IO conflict.
`static final short`
`ENCODING_MISMATCH`
character encoding: encoding mismatch.
`static final short`
`ENTITY_IN_ID`
attribute: entity in id.
`static final short`
`ESCAPED_ILLEGAL_URI`
attribute: escaped illegal URI.
`static final short`
`FIXED_BACKSLASH`
attribute: fixed backslash.
`static final short`
`FOUND_UTF16`
character encoding error: found utf16.
`static final short`
`ID_NAME_MISMATCH`
attribute: id and name mismatch.
`static final short`
`ILLEGAL_NESTING`
illegal nesting.
`static final short`
`ILLEGAL_URI_REFERENCE`
attribute: illegal URI reference.
`static final short`
`INCONSISTENT_NAMESPACE`
inconsistent namespace.
`static final short`
`INCONSISTENT_VERSION`
inconsistent version.
`static final short`
`INSERTING_TAG`
inserting tag.
`static final short`
`INVALID_ATTRIBUTE`
attribute: invalid attribute.
`static final short`
`INVALID_NCR`
character encoding: invalid NCR.
`static final short`
`INVALID_SGML_CHARS`
character encoding: invalid sgml chars.
`static final short`
`INVALID_URI`
character encoding: nvalid URI.
`static final short`
`INVALID_UTF16`
character encoding: invalid utf16.
`static final short`
`INVALID_UTF8`
character encoding: invalid utf8.
`static final short`
`INVALID_XML_ID`
attribute: invalid xml id.
`static final short`
`JOINING_ATTRIBUTE`
attribute: joining attribute.
`static final short`
`MALFORMED_COMMENT`
malformed comment.
`static final short`
`MALFORMED_DOCTYPE`
malformed doctype.
`static final short`
`MISSING_ATTR_VALUE`
attribute: missing attribute value.
`static final short`
`MISSING_ATTRIBUTE`
attribute: missing attribute.
`static final short`
`MISSING_DOCTYPE`
missing doctype.
`static final short`
`MISSING_ENDTAG_BEFORE`
missing end tag before.
`static final short`
`MISSING_ENDTAG_FOR`
missing an end tag.
`static final short`
`MISSING_IMAGE_ALT`
accessibility flaw: missing image map.
`static final short`
`MISSING_IMAGE_MAP`
accessibility flaw: missing image map.
`static final short`
`MISSING_IMAGEMAP`
attribute: missing image map.
`static final short`
`MISSING_LINK_ALT`
accessibility flaw: missing link alt.
`static final short`
`MISSING_QUOTEMARK`
attribute: missing quotemark.
`static final short`
`MISSING_SEMICOLON`
invalid entity: missing semicolon.
`static final short`
`MISSING_SEMICOLON_NCR`
invalid entity: missing semicolon.
`static final short`
`MISSING_STARTTAG`
missing start tag.
`static final short`
`MISSING_SUMMARY`
accessibility flaw: missing summary.
`static final short`
`MISSING_TITLE_ELEMENT`
missing title element.
`static final short`
`MIXED_CONTENT_IN_BLOCK`
mixed content in block.
`static final short`
`NESTED_EMPHASIS`
nested emphasis.
`static final short`
`NESTED_QUOTATION`
nested quotation.
`static final short`
`NEWLINE_IN_URI`
attribute: newline in URI.
`static final short`
`NOFRAMES_CONTENT`
noframes content.
`static final short`
`NON_ASCII`
character encoding error: non ascii.
`static final short`
`NON_MATCHING_ENDTAG`
non matching end tag.
`static final short`
`OBSOLETE_ELEMENT`
obsolete element.
`static final short`
`PROPRIETARY_ATTR_VALUE`
attribute: proprietary attribute value.
`static final short`
`PROPRIETARY_ATTRIBUTE`
attribute: proprietary attribute.
`static final short`
`PROPRIETARY_ELEMENT`
proprietary element.
`static final String`
`RELEASE_DATE_STRING`
Release date String.
`static final short`
`REPEATED_ATTRIBUTE`
attribute: repeated attribute.
`static final short`
`REPLACED_CHAR`
char has been replaced.
`static final short`
`REPLACING_ELEMENT`
replacing element.
`static final short`
`REPLACING_UNEX_ELEMENT`
replacing unexcaped element.
`static final short`
`REPORT_VERSION_SUMMARY`
Constant used for reporting of version summary.
`static final short`
`SPACE_PRECEDING_XMLDECL`
space preceding xml declaration.
`static final short`
`SUSPECTED_MISSING_QUOTE`
suspected missing quote.
`static final short`
`TAG_NOT_ALLOWED_IN`
tag not allowed in.
`static final short`
`TOO_MANY_ELEMENTS`
too many element.
`static final short`
`TOO_MANY_ELEMENTS_IN`
too many elements in.
`static final short`
`TRIM_EMPTY_ELEMENT`
trim empty element.
`static final short`
`UNESCAPED_AMPERSAND`
invalid entity: unescaped ampersand.
`static final short`
`UNESCAPED_ELEMENT`
unescaped element.
`static final short`
`UNEXPECTED_END_OF_FILE`
unexpected end of file.
`static final short`
`UNEXPECTED_END_OF_FILE_ATTR`
attribute: unexpected end of file.
`static final short`
`UNEXPECTED_ENDTAG`
unexpected end tag.
`static final short`
`UNEXPECTED_ENDTAG_IN`
unexpected endag in.
`static final short`
`UNEXPECTED_EQUALSIGN`
attribute: expected equalsign.
`static final short`
`UNEXPECTED_GT`
attribute: unexpected gt.
`static final short`
`UNEXPECTED_QUOTEMARK`
attribute: unexpected quotemark.
`static final short`
`UNKNOWN_ATTRIBUTE`
attribute: unknown attribute.
`static final short`
`UNKNOWN_ELEMENT`
unknown element.
`static final short`
`UNKNOWN_ENTITY`
invalid entity: unknown entity.
`static final short`
`USING_BODY`
presentation flaw: using body.
`static final short`
`USING_BR_INPLACE_OF`
unsing br in place of.
`static final short`
`USING_FONT`
presentation flaw: using font.
`static final short`
`USING_FRAMES`
accessibility flaw: using frames.
`static final short`
`USING_LAYER`
presentation flaw: using layer.
`static final short`
`USING_NOBR`
presentation flaw: using nobr.
`static final short`
`USING_NOFRAMES`
accessibility flaw: using noframes.
`static final short`
`USING_SPACER`
presentation flaw: using spacer.
`static final short`
`VENDOR_SPECIFIC_CHARS`
character encoding: vendor specific chars.
`static final short`
`WINDOWS_CHARS`
character encoding error: windows chars.
`static final short`
`XML_ATTRIBUTE_VALUE`
attribute: xml attribute value.
`static final short`
`XML_ID_SYNTAX`
attribute: id sintax.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Report()`
Instantiated only in Tidy() constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`addMessageListener(TidyMessageListener listener)`
Adds a message listener.
`void`
`attrError(Lexer lexer, Node node, AttVal attribute, short code)`
Prints error messages for attributes.
`void`
`badArgument(String key, String value)`
Prints a "bad argument" error message.
`void`
`badTree(PrintWriter errout)`
Prints the "bad tree" message.
`void`
`encodingError(Lexer lexer, int code, int c)`
Prints encoding error messages.
`void`
`entityError(Lexer lexer, short code, String entity, int c)`
Prints entity error messages.
`void`
`error(Lexer lexer, Node element, Node node, short code)`
Prints errors.
`void`
`errorSummary(Lexer lexer)`
Prints error summary.
`void`
`generalInfo(PrintWriter errout)`
Prints tidy general info.
`protected String`
`getMessage(int errorCode, Lexer lexer, String message, Object[] params, TidyMessage.Level level)`
Generates a complete message for the warning/error.
`void`
`helpText(PrintWriter out)`
Prints tidy help.
`void`
`missingBody(PrintWriter errout)`
Prints the "missing body" message.
`void`
`needsAuthorIntervention(PrintWriter errout)`
Prints the "needs author intervention" message.
`void`
`reportNumberOfSlides(PrintWriter errout, int count)`
Prints the number of generated slides.
`void`
`reportNumWarnings(PrintWriter errout, Lexer lexer)`
Prints the number of error/warnings found.
`void`
`reportVersion(PrintWriter errout, Lexer lexer, String filename, Node doctype)`
Prints information for html version in input file.
`void`
`setFilename(String filename)`
Sets the current file name.
`void`
`showVersion(PrintWriter p)`
print version information.
`void`
`unknownFile(PrintWriter errout, String file)`
Prints the "unknown file" message.
`void`
`unknownOption(PrintWriter errout, char c)`
Prints the "unknown option" message.
`void`
`unknownOption(String option)`
Prints an "unknown option" error message.
`void`
`warning(Lexer lexer, Node element, Node node, short code)`
Prints warnings.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ACCESS_URL

public static final String ACCESS_URL
used to point to Web Accessibility Guidelines.

See Also:
  - Constant Field Values

### RELEASE_DATE_STRING

public static final String RELEASE_DATE_STRING
Release date String.

### MISSING_SEMICOLON

public static final short MISSING_SEMICOLON
invalid entity: missing semicolon.

See Also:
  - Constant Field Values

### MISSING_SEMICOLON_NCR

public static final short MISSING_SEMICOLON_NCR
invalid entity: missing semicolon.

See Also:
  - Constant Field Values

### UNKNOWN_ENTITY

public static final short UNKNOWN_ENTITY
invalid entity: unknown entity.

See Also:
  - Constant Field Values

### UNESCAPED_AMPERSAND

public static final short UNESCAPED_AMPERSAND
invalid entity: unescaped ampersand.

See Also:
  - Constant Field Values

### APOS_UNDEFINED

public static final short APOS_UNDEFINED
invalid entity: apos undefined in current definition.

See Also:
  - Constant Field Values

### MISSING_ENDTAG_FOR

public static final short MISSING_ENDTAG_FOR
missing an end tag.

See Also:
  - Constant Field Values

### MISSING_ENDTAG_BEFORE

public static final short MISSING_ENDTAG_BEFORE
missing end tag before.

See Also:
  - Constant Field Values

### DISCARDING_UNEXPECTED

public static final short DISCARDING_UNEXPECTED
discarding unexpected element.

See Also:
  - Constant Field Values

### NESTED_EMPHASIS

public static final short NESTED_EMPHASIS
nested emphasis.

See Also:
  - Constant Field Values

### NON_MATCHING_ENDTAG

public static final short NON_MATCHING_ENDTAG
non matching end tag.

See Also:
  - Constant Field Values

### TAG_NOT_ALLOWED_IN

public static final short TAG_NOT_ALLOWED_IN
tag not allowed in.

See Also:
  - Constant Field Values

### MISSING_STARTTAG

public static final short MISSING_STARTTAG
missing start tag.

See Also:
  - Constant Field Values

### UNEXPECTED_ENDTAG

public static final short UNEXPECTED_ENDTAG
unexpected end tag.

See Also:
  - Constant Field Values

### USING_BR_INPLACE_OF

public static final short USING_BR_INPLACE_OF
unsing br in place of.

See Also:
  - Constant Field Values

### INSERTING_TAG

public static final short INSERTING_TAG
inserting tag.

See Also:
  - Constant Field Values

### SUSPECTED_MISSING_QUOTE

public static final short SUSPECTED_MISSING_QUOTE
suspected missing quote.

See Also:
  - Constant Field Values

### MISSING_TITLE_ELEMENT

public static final short MISSING_TITLE_ELEMENT
missing title element.

See Also:
  - Constant Field Values

### DUPLICATE_FRAMESET

public static final short DUPLICATE_FRAMESET
duplicate frameset.

See Also:
  - Constant Field Values

### CANT_BE_NESTED

public static final short CANT_BE_NESTED
elments can be nested.

See Also:
  - Constant Field Values

### OBSOLETE_ELEMENT

public static final short OBSOLETE_ELEMENT
obsolete element.

See Also:
  - Constant Field Values

### PROPRIETARY_ELEMENT

public static final short PROPRIETARY_ELEMENT
proprietary element.

See Also:
  - Constant Field Values

### UNKNOWN_ELEMENT

public static final short UNKNOWN_ELEMENT
unknown element.

See Also:
  - Constant Field Values

### TRIM_EMPTY_ELEMENT

public static final short TRIM_EMPTY_ELEMENT
trim empty element.

See Also:
  - Constant Field Values

### COERCE_TO_ENDTAG

public static final short COERCE_TO_ENDTAG
coerce to end tag.

See Also:
  - Constant Field Values

### ILLEGAL_NESTING

public static final short ILLEGAL_NESTING
illegal nesting.

See Also:
  - Constant Field Values

### NOFRAMES_CONTENT

public static final short NOFRAMES_CONTENT
noframes content.

See Also:
  - Constant Field Values

### CONTENT_AFTER_BODY

public static final short CONTENT_AFTER_BODY
content after body.

See Also:
  - Constant Field Values

### INCONSISTENT_VERSION

public static final short INCONSISTENT_VERSION
inconsistent version.

See Also:
  - Constant Field Values

### MALFORMED_COMMENT

public static final short MALFORMED_COMMENT
malformed comment.

See Also:
  - Constant Field Values

### BAD_COMMENT_CHARS

public static final short BAD_COMMENT_CHARS
bad coment chars.

See Also:
  - Constant Field Values

### BAD_XML_COMMENT

public static final short BAD_XML_COMMENT
bad xml comment.

See Also:
  - Constant Field Values

### BAD_CDATA_CONTENT

public static final short BAD_CDATA_CONTENT
bad cdata comment.

See Also:
  - Constant Field Values

### INCONSISTENT_NAMESPACE

public static final short INCONSISTENT_NAMESPACE
inconsistent namespace.

See Also:
  - Constant Field Values

### DOCTYPE_AFTER_TAGS

public static final short DOCTYPE_AFTER_TAGS
doctype after tags.

See Also:
  - Constant Field Values

### MALFORMED_DOCTYPE

public static final short MALFORMED_DOCTYPE
malformed doctype.

See Also:
  - Constant Field Values

### UNEXPECTED_END_OF_FILE

public static final short UNEXPECTED_END_OF_FILE
unexpected end of file.

See Also:
  - Constant Field Values

### DTYPE_NOT_UPPER_CASE

public static final short DTYPE_NOT_UPPER_CASE
doctype not upper case.

See Also:
  - Constant Field Values

### TOO_MANY_ELEMENTS

public static final short TOO_MANY_ELEMENTS
too many element.

See Also:
  - Constant Field Values

### UNESCAPED_ELEMENT

public static final short UNESCAPED_ELEMENT
unescaped element.

See Also:
  - Constant Field Values

### NESTED_QUOTATION

public static final short NESTED_QUOTATION
nested quotation.

See Also:
  - Constant Field Values

### ELEMENT_NOT_EMPTY

public static final short ELEMENT_NOT_EMPTY
element not empty.

See Also:
  - Constant Field Values

### ENCODING_IO_CONFLICT

public static final short ENCODING_IO_CONFLICT
encoding IO conflict.

See Also:
  - Constant Field Values

### MIXED_CONTENT_IN_BLOCK

public static final short MIXED_CONTENT_IN_BLOCK
mixed content in block.

See Also:
  - Constant Field Values

### MISSING_DOCTYPE

public static final short MISSING_DOCTYPE
missing doctype.

See Also:
  - Constant Field Values

### SPACE_PRECEDING_XMLDECL

public static final short SPACE_PRECEDING_XMLDECL
space preceding xml declaration.

See Also:
  - Constant Field Values

### TOO_MANY_ELEMENTS_IN

public static final short TOO_MANY_ELEMENTS_IN
too many elements in.

See Also:
  - Constant Field Values

### UNEXPECTED_ENDTAG_IN

public static final short UNEXPECTED_ENDTAG_IN
unexpected endag in.

See Also:
  - Constant Field Values

### REPLACING_ELEMENT

public static final short REPLACING_ELEMENT
replacing element.

See Also:
  - Constant Field Values

### REPLACING_UNEX_ELEMENT

public static final short REPLACING_UNEX_ELEMENT
replacing unexcaped element.

See Also:
  - Constant Field Values

### COERCE_TO_ENDTAG_WARN

public static final short COERCE_TO_ENDTAG_WARN
coerce to endtag.

See Also:
  - Constant Field Values

### UNKNOWN_ATTRIBUTE

public static final short UNKNOWN_ATTRIBUTE
attribute: unknown attribute.

See Also:
  - Constant Field Values

### MISSING_ATTRIBUTE

public static final short MISSING_ATTRIBUTE
attribute: missing attribute.

See Also:
  - Constant Field Values

### MISSING_ATTR_VALUE

public static final short MISSING_ATTR_VALUE
attribute: missing attribute value.

See Also:
  - Constant Field Values

### BAD_ATTRIBUTE_VALUE

public static final short BAD_ATTRIBUTE_VALUE
attribute: bad attribute value.

See Also:
  - Constant Field Values

### UNEXPECTED_GT

public static final short UNEXPECTED_GT
attribute: unexpected gt.

See Also:
  - Constant Field Values

### PROPRIETARY_ATTRIBUTE

public static final short PROPRIETARY_ATTRIBUTE
attribute: proprietary attribute.

See Also:
  - Constant Field Values

### PROPRIETARY_ATTR_VALUE

public static final short PROPRIETARY_ATTR_VALUE
attribute: proprietary attribute value.

See Also:
  - Constant Field Values

### REPEATED_ATTRIBUTE

public static final short REPEATED_ATTRIBUTE
attribute: repeated attribute.

See Also:
  - Constant Field Values

### MISSING_IMAGEMAP

public static final short MISSING_IMAGEMAP
attribute: missing image map.

See Also:
  - Constant Field Values

### XML_ATTRIBUTE_VALUE

public static final short XML_ATTRIBUTE_VALUE
attribute: xml attribute value.

See Also:
  - Constant Field Values

### MISSING_QUOTEMARK

public static final short MISSING_QUOTEMARK
attribute: missing quotemark.

See Also:
  - Constant Field Values

### UNEXPECTED_QUOTEMARK

public static final short UNEXPECTED_QUOTEMARK
attribute: unexpected quotemark.

See Also:
  - Constant Field Values

### ID_NAME_MISMATCH

public static final short ID_NAME_MISMATCH
attribute: id and name mismatch.

See Also:
  - Constant Field Values

### BACKSLASH_IN_URI

public static final short BACKSLASH_IN_URI
attribute: backslash in URI.

See Also:
  - Constant Field Values

### FIXED_BACKSLASH

public static final short FIXED_BACKSLASH
attribute: fixed backslash.

See Also:
  - Constant Field Values

### ILLEGAL_URI_REFERENCE

public static final short ILLEGAL_URI_REFERENCE
attribute: illegal URI reference.

See Also:
  - Constant Field Values

### ESCAPED_ILLEGAL_URI

public static final short ESCAPED_ILLEGAL_URI
attribute: escaped illegal URI.

See Also:
  - Constant Field Values

### NEWLINE_IN_URI

public static final short NEWLINE_IN_URI
attribute: newline in URI.

See Also:
  - Constant Field Values

### ANCHOR_NOT_UNIQUE

public static final short ANCHOR_NOT_UNIQUE
attribute: anchor not unique.

See Also:
  - Constant Field Values

### ENTITY_IN_ID

public static final short ENTITY_IN_ID
attribute: entity in id.

See Also:
  - Constant Field Values

### JOINING_ATTRIBUTE

public static final short JOINING_ATTRIBUTE
attribute: joining attribute.

See Also:
  - Constant Field Values

### UNEXPECTED_EQUALSIGN

public static final short UNEXPECTED_EQUALSIGN
attribute: expected equalsign.

See Also:
  - Constant Field Values

### ATTR_VALUE_NOT_LCASE

public static final short ATTR_VALUE_NOT_LCASE
attribute: attribute value not lower case.

See Also:
  - Constant Field Values

### XML_ID_SYNTAX

public static final short XML_ID_SYNTAX
attribute: id sintax.

See Also:
  - Constant Field Values

### INVALID_ATTRIBUTE

public static final short INVALID_ATTRIBUTE
attribute: invalid attribute.

See Also:
  - Constant Field Values

### BAD_ATTRIBUTE_VALUE_REPLACED

public static final short BAD_ATTRIBUTE_VALUE_REPLACED
attribute: bad attribute value replaced.

See Also:
  - Constant Field Values

### INVALID_XML_ID

public static final short INVALID_XML_ID
attribute: invalid xml id.

See Also:
  - Constant Field Values

### UNEXPECTED_END_OF_FILE_ATTR

public static final short UNEXPECTED_END_OF_FILE_ATTR
attribute: unexpected end of file.

See Also:
  - Constant Field Values

### VENDOR_SPECIFIC_CHARS

public static final short VENDOR_SPECIFIC_CHARS
character encoding: vendor specific chars.

See Also:
  - Constant Field Values

### INVALID_SGML_CHARS

public static final short INVALID_SGML_CHARS
character encoding: invalid sgml chars.

See Also:
  - Constant Field Values

### INVALID_UTF8

public static final short INVALID_UTF8
character encoding: invalid utf8.

See Also:
  - Constant Field Values

### INVALID_UTF16

public static final short INVALID_UTF16
character encoding: invalid utf16.

See Also:
  - Constant Field Values

### ENCODING_MISMATCH

public static final short ENCODING_MISMATCH
character encoding: encoding mismatch.

See Also:
  - Constant Field Values

### INVALID_URI

public static final short INVALID_URI
character encoding: nvalid URI.

See Also:
  - Constant Field Values

### INVALID_NCR

public static final short INVALID_NCR
character encoding: invalid NCR.

See Also:
  - Constant Field Values

### DOCTYPE_GIVEN_SUMMARY

public static final short DOCTYPE_GIVEN_SUMMARY
Constant used for reporting of given doctype.

See Also:
  - Constant Field Values

### REPORT_VERSION_SUMMARY

public static final short REPORT_VERSION_SUMMARY
Constant used for reporting of version summary.

See Also:
  - Constant Field Values

### BADACCESS_SUMMARY

public static final short BADACCESS_SUMMARY
Constant used for reporting of bad access summary.

See Also:
  - Constant Field Values

### BADFORM_SUMMARY

public static final short BADFORM_SUMMARY
Constant used for reporting of bad form summary.

See Also:
  - Constant Field Values

### MISSING_IMAGE_ALT

public static final short MISSING_IMAGE_ALT
accessibility flaw: missing image map.

See Also:
  - Constant Field Values

### MISSING_LINK_ALT

public static final short MISSING_LINK_ALT
accessibility flaw: missing link alt.

See Also:
  - Constant Field Values

### MISSING_SUMMARY

public static final short MISSING_SUMMARY
accessibility flaw: missing summary.

See Also:
  - Constant Field Values

### MISSING_IMAGE_MAP

public static final short MISSING_IMAGE_MAP
accessibility flaw: missing image map.

See Also:
  - Constant Field Values

### USING_FRAMES

public static final short USING_FRAMES
accessibility flaw: using frames.

See Also:
  - Constant Field Values

### USING_NOFRAMES

public static final short USING_NOFRAMES
accessibility flaw: using noframes.

See Also:
  - Constant Field Values

### USING_SPACER

public static final short USING_SPACER
presentation flaw: using spacer.

See Also:
  - Constant Field Values

### USING_LAYER

public static final short USING_LAYER
presentation flaw: using layer.

See Also:
  - Constant Field Values

### USING_NOBR

public static final short USING_NOBR
presentation flaw: using nobr.

See Also:
  - Constant Field Values

### USING_FONT

public static final short USING_FONT
presentation flaw: using font.

See Also:
  - Constant Field Values

### USING_BODY

public static final short USING_BODY
presentation flaw: using body.

See Also:
  - Constant Field Values

### WINDOWS_CHARS

public static final short WINDOWS_CHARS
character encoding error: windows chars.

See Also:
  - Constant Field Values

### NON_ASCII

public static final short NON_ASCII
character encoding error: non ascii.

See Also:
  - Constant Field Values

### FOUND_UTF16

public static final short FOUND_UTF16
character encoding error: found utf16.

See Also:
  - Constant Field Values

### REPLACED_CHAR

public static final short REPLACED_CHAR
char has been replaced.

See Also:
  - Constant Field Values

### DISCARDED_CHAR

public static final short DISCARDED_CHAR
char has been discarder.

See Also:
  - Constant Field Values

## Constructor Details

### Report

protected Report()
Instantiated only in Tidy() constructor.

## Method Details

### getMessage

protected String getMessage(int errorCode, Lexer lexer, String message, Object[] params, TidyMessage.Level level) throws MissingResourceException
Generates a complete message for the warning/error. The message is composed by:

- position in file
- prefix for the error level (warning: | error:)
- message read from ResourceBundle
- optional parameters added to message using MessageFormat

Parameters:
  `errorCode` - tidy error code
  `lexer` - Lexer
  `message` - key for the ResourceBundle
  `params` - optional parameters added with MessageFormat
  `level` - message level. One of `TidyMessage.LEVEL_ERROR`, `TidyMessage.LEVEL_WARNING`,`TidyMessage.LEVEL_INFO`
Returns:
  formatted message
Throws:
  `MissingResourceException` - if `message` key is not available in jtidy resource bundle.
See Also:
  - `TidyMessage`

### showVersion

public void showVersion(PrintWriter p)
print version information.

Parameters:
  `p` - printWriter

### unknownOption

public void unknownOption(String option)
Prints an "unknown option" error message. Lexer is not defined when this is called.

Parameters:
  `option` - unknown option name

### badArgument

public void badArgument(String key, String value)
Prints a "bad argument" error message. Lexer is not defined when this is called.

Parameters:
  `key` - argument name
  `value` - bad argument value

### encodingError

public void encodingError(Lexer lexer, int code, int c)
Prints encoding error messages.

Parameters:
  `lexer` - Lexer
  `code` - error code
  `c` - invalid char

### entityError

public void entityError(Lexer lexer, short code, String entity, int c)
Prints entity error messages.

Parameters:
  `lexer` - Lexer
  `code` - error code
  `entity` - invalid entity String
  `c` - invalid char

### attrError

public void attrError(Lexer lexer, Node node, AttVal attribute, short code)
Prints error messages for attributes.

Parameters:
  `lexer` - Lexer
  `node` - current tag
  `attribute` - attribute
  `code` - error code

### warning

public void warning(Lexer lexer, Node element, Node node, short code)
Prints warnings.

Parameters:
  `lexer` - Lexer
  `element` - parent/missing tag
  `node` - current tag
  `code` - error code

### error

public void error(Lexer lexer, Node element, Node node, short code)
Prints errors.

Parameters:
  `lexer` - Lexer
  `element` - parent/missing tag
  `node` - current tag
  `code` - error code

### errorSummary

public void errorSummary(Lexer lexer)
Prints error summary.

Parameters:
  `lexer` - Lexer

### unknownOption

public void unknownOption(PrintWriter errout, char c)
Prints the "unknown option" message.

Parameters:
  `errout` - PrintWriter
  `c` - invalid option char

### unknownFile

public void unknownFile(PrintWriter errout, String file)
Prints the "unknown file" message.

Parameters:
  `errout` - PrintWriter
  `file` - invalid file name

### needsAuthorIntervention

public void needsAuthorIntervention(PrintWriter errout)
Prints the "needs author intervention" message.

Parameters:
  `errout` - PrintWriter

### missingBody

public void missingBody(PrintWriter errout)
Prints the "missing body" message.

Parameters:
  `errout` - PrintWriter

### reportNumberOfSlides

public void reportNumberOfSlides(PrintWriter errout, int count)
Prints the number of generated slides.

Parameters:
  `errout` - PrintWriter
  `count` - slides count

### generalInfo

public void generalInfo(PrintWriter errout)
Prints tidy general info.

Parameters:
  `errout` - PrintWriter

### setFilename

public void setFilename(String filename)
Sets the current file name.

Parameters:
  `filename` - current file.

### reportVersion

public void reportVersion(PrintWriter errout, Lexer lexer, String filename, Node doctype)
Prints information for html version in input file.

Parameters:
  `errout` - PrintWriter
  `lexer` - Lexer
  `filename` - file name
  `doctype` - doctype Node

### reportNumWarnings

public void reportNumWarnings(PrintWriter errout, Lexer lexer)
Prints the number of error/warnings found.

Parameters:
  `errout` - PrintWriter
  `lexer` - Lexer

### helpText

public void helpText(PrintWriter out)
Prints tidy help.

Parameters:
  `out` - PrintWriter

### badTree

public void badTree(PrintWriter errout)
Prints the "bad tree" message.

Parameters:
  `errout` - PrintWriter

### addMessageListener

public void addMessageListener(TidyMessageListener listener)
Adds a message listener.

Parameters:
  `listener` - TidyMessageListener